lørdag den 6. april 2013

Installer Ruby på Mac via RVM

Du behøver ikke at installere en Ruby på Mac, for der er allerede en. Default installationen af Ruby på Mac er desværre altid et par versioner bag efter den moderne version, så hvis du vil have en nyere version af Ruby så læs videre.

Inden du skal installere RVM, skal du dog have XCode installeret. Den kan du hente gratis fra AppStore. Når den er installeret så er det en god ide også at installere command line tools. Det gør du ved at starte XCode og åbne prefrences, vælge Downloads fanen og klikke på Install ud for Command Line Tools. Du skal sikkert lige autentificere dig inden den installere, men efter et par minutter er den klaret. Se screenshot.

Herefter er du klar til at installere og Ruby.
Skriv følgende i terminalen:
curl -#L https://get.rvm.io | bash -s stable --autolibs=3 --ruby

Dette vil installere RVM og den mest moderne version af Ruby i et hug. den mest moderne version er i skrivenden stund 2.0.0.
Så er Ruby og RVM installeret, men det er ikke nok, du skal også fortælle RVM hvilken version du vil bruge default, og det gør man ved at skrive dette i terminalen:
rvm use 2.0.0 --default

Det burde være det hele, det var det i hvert fald for mig.

Her kan du finde mere information om RVM: https://rvm.io/

Ingen kommentarer:

Send en kommentar